Bug 1121356 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2aaf686f7430ed9d5c54f2ccce1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 19:11 UTC by Ian J Bertolacci
Modified: 2015-06-29 21:39 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:39:21 UTC


Attachments (Terms of Use)
File: backtrace (12.55 KB, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: cgroup (166 bytes, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: core_backtrace (4.51 KB, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: dso_list (5.57 KB, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: maps (50.24 KB, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: proc_pid_status (906 bytes, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
File: var_log_messages (348 bytes, text/plain)
2014-07-19 19:11 UTC, Ian J Bertolacci
no flags Details
tar.gz file (120 bytes, text/plain)
2015-03-14 04:18 UTC, George R. Goffe
no flags Details
tar.gz file (60.51 KB, application/x-gzip)
2015-03-14 04:26 UTC, George R. Goffe
no flags Details

Description Ian J Bertolacci 2014-07-19 19:11:29 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.4-11.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/X -background none :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
environ:        
executable:     /usr/bin/Xorg
kernel:         3.15.3-200.fc20.x86_64
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #9 drm_intel_gem_bo_free at intel_bufmgr_gem.c:954
 #10 drm_intel_gem_bo_alloc_internal at intel_bufmgr_gem.c:751
 #11 intel_allocate_framebuffer at intel_memory.c:240
 #12 intel_xf86crtc_resize at intel_display.c:1563
 #13 xf86RandR12ScreenSetSize at xf86RandR12.c:699
 #14 rrCheckPixmapBounding at rrcrtc.c:510
 #15 RRCrtcSet at rrcrtc.c:554
 #16 ProcRRSetCrtcConfig at rrcrtc.c:1167
 #17 Dispatch at dispatch.c:432

Comment 1 Ian J Bertolacci 2014-07-19 19:11:32 UTC
Created attachment 919296 [details]
File: backtrace

Comment 2 Ian J Bertolacci 2014-07-19 19:11:33 UTC
Created attachment 919297 [details]
File: cgroup

Comment 3 Ian J Bertolacci 2014-07-19 19:11:33 UTC
Created attachment 919298 [details]
File: core_backtrace

Comment 4 Ian J Bertolacci 2014-07-19 19:11:35 UTC
Created attachment 919299 [details]
File: dso_list

Comment 5 Ian J Bertolacci 2014-07-19 19:11:35 UTC
Created attachment 919300 [details]
File: limits

Comment 6 Ian J Bertolacci 2014-07-19 19:11:36 UTC
Created attachment 919301 [details]
File: maps

Comment 7 Ian J Bertolacci 2014-07-19 19:11:37 UTC
Created attachment 919302 [details]
File: proc_pid_status

Comment 8 Ian J Bertolacci 2014-07-19 19:11:38 UTC
Created attachment 919303 [details]
File: var_log_messages

Comment 9 Rajender 2014-08-14 08:02:48 UTC
Another user experienced a similar problem:

I have updated all things.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-sShciv/database -seat seat0 -nolisten tcp vt1
dso_list:       
executable:     /usr/bin/Xorg
kernel:         3.15.6-200.fc20.x86_64
open_fds:       
package:        xorg-x11-server-Xorg-1.14.4-11.fc20
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0

Comment 10 Julian Stecklina 2014-11-05 15:01:02 UTC
Another user experienced a similar problem:

I had two displays connected. The crash happened, when I opened the GNOME 'Displays' settings and set the second monitor to 'Turn off'.

Other points of interest may be that this is a hybrid GPU laptop (Radeon HD 8730M plus Haswell graphics) sitting in a docking station. The monitor that was removed was connected to the displayport on the docking station. The primary one is connected to the Displayport on the laptop itself. The monitor connected to the docking station shows visual artefacts (a triangle spanning from the center of the screen to 3 o'clock and the lower-left corner is not refreshed correctly).

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-nP5VFK/database -seat seat0 -nolisten tcp vt1
executable:     /usr/bin/Xorg
open_fds:       
package:        xorg-x11-server-Xorg-1.14.4-11.fc20
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            0

Comment 11 George R. Goffe 2014-12-08 00:00:18 UTC
Another user experienced a similar problem:

I was updating my display settings via KDEs "Settings Manager" but had made no changes yet.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/X :0 vt1 -nolisten tcp -auth /root/.serverauth.2459
executable:     /usr/bin/Xorg
kernel:         3.17.4-200.fc20.x86_64
open_fds:       
package:        xorg-x11-server-Xorg-1.14.4-11.fc20
reason:         Xorg killed by SIGABRT
runlevel:       N 3
type:           CCpp
uid:            0

Comment 12 George R. Goffe 2015-03-14 04:18:06 UTC
Created attachment 1001547 [details]
tar.gz file

Hans,

Just had another crash of X11. Sigh... Here are 3 logs that I have gathered. Hopefully the tar.gz file will upload.

George...

Comment 13 George R. Goffe 2015-03-14 04:26:11 UTC
Created attachment 1001549 [details]
tar.gz file

Comment 14 Fedora End Of Life 2015-05-29 12:24:56 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:39:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.